#include "cerc.h"
#include <graphics.h>

CERC::CERC()                        //constructor fara parametrii
//**********
{
    x =   320;
    y =   240;
    r =    50;
    c =  BLUE;
}

CERC::CERC(int x0,int y0,int r0,int c0) //constructor cu parametrii
//*************************************
{
    x = x0;
    y = y0;
    r = r0;
    c = c0;
}

void CERC::Sterge()                 //metoda sterge cerc de pe ecran
//*****************
{
    setcolor(BLACK);
    circle(x,y,r);                  //stergere prin desenare cu culoarea BLACK
}

void CERC::Afiseaza()               //metoda afisare cerc pe ecran
//*******************
{
    setcolor(c);
    circle(x,y,r);                  //desenare cerc pe ecran
}
void CERC::Muta(int dx,int dy)      //metoda mutare cerc
//****************************
{
    Sterge();                       //stergere de pe pozitia curenta
    x += dx;                        //mutare prin modificare pozitie
    y += dy;
    Afiseaza();                     //afisare in noua pozitie
}

void CERC::Creste(int dr)           //metoda modifica diametrul cercului
//**********************
{
    Sterge();                       //stergere pozitia curenta
    r += dr;                        //redimensionare raza
    Afiseaza();                     //afisare cu noua dimensiune
}
